> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create Recorded Future intelligence reports



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs post /api/v1/external-intelligence-reports/recorded-future/bulk
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/external-intelligence-reports/recorded-future/bulk:
    post:
      tags:
        - client-api-external-intelligence-report-rest-resource
      summary: Bulk create Recorded Future intelligence reports
      operationId: bulkCreateRecordedFutureIntelligenceReports
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/RecordedFutureReportCreateInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkExternalIntelligenceReportResponse'
components:
  schemas:
    RecordedFutureReportCreateInput:
      type: object
      default: null
      properties:
        vendorDomain:
          type: string
        reportDate:
          type: string
          format: date-time
        link:
          type: string
        entityType:
          type: string
        entity:
          type: string
        riskScore:
          type: integer
          format: int32
        riskLevel:
          type: string
        firstSeen:
          type: string
          format: date-time
        lastSeen:
          type: string
          format: date-time
        triggeredRuleCount:
          type: integer
          format: int32
        maxRuleCount:
          type: integer
          format: int32
        summary:
          type: string
        criticalityLabel:
          type: string
      required:
        - entity
        - entityType
        - riskLevel
        - riskScore
    BulkExternalIntelligenceReportResponse:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
        created:
          type: array
          items:
            type: string
            format: uuid
          uniqueItems: true
        backgroundedCount:
          type: integer
          format: int32
        backgrounded:
          type: boolean
        totalFailureCount:
          type: integer
          format: int32

````